Subject: Re: [bitcoin-dev] On a new community process to specify covenants

From: Bram Cohen <[email-masked]>
Date: Sun, 24 Jul 2022 11:22:51 -0700

On Wed, Jul 20, 2022 at 2:46 PM Antoine Riard via bitcoin-dev <
[email-masked]> wrote:

> Indeed this range has grown wild. Without aiming to be exhaustive (I'm
> certainly missing some interesting proposals lost in the abyss of
> bitcointalk.org), we can mention the following use-cases: multi-party
> stateful contracts [11], congestion trees [12], payment pools [13], "eltoo"
> layered commitments [14], programmable vaults [15], multi-events contracts
> [16], blockchain-as-oracle bets [17], spacechains [18], trustless
> collateral lending [19], ...
>

The big question you missed is whether capabilities are in scope for a
covenants proposal. In particular, vaults work a lot better when payments
to them are immediately locked up in the vault rather than it having to do
a step to accept them first.